## imcode.util.net
Class SMTP

    java.lang.Object
      imcode.util.net.SMTP

    public class SMTP

extends java.lang.Object

class SMTP - Provides methods for sending mail.

Version:
  $Revision: 11637 $
Author:
  Kreiger

Nested Class Summary
`static class` `SMTP.Mail`

Constructor Summary
`SMTP(java.lang.String host, int port)` Connects to an SMTP-server

Method Summary
`void` `sendMail(SMTP.Mail mail)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMTP

    public SMTP(java.lang.String host,
                int port)

  Connects to an SMTP-server

  Parameters:
    `host` - The address of the server.
    `port` - The port of the server, usually 25.
  Throws:
    `java.lang.IllegalArgumentException` - Thrown when given a timeout of zero or less.

Method Detail

### sendMail

    public void sendMail(SMTP.Mail mail)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`